<?php


  /**
 * Theme a questions field date element.
 */
function theme_questions_field_date($variables) {
  $element = $variables['element'];
 $component = $element['#questions_field_component'];

    element_set_attributes($element, array(
      'id',
      'name',
      'value',
    ));
    _form_set_class($element, array(
      'form-date',
      'questions-field-calendar'
    ));
    
    $element['#attributes']['type'] = $component['extra']['type'];

    if ($element['#start_date']) {
      $element['#attributes']['min'] =  $element['#start_date'];  
    }

    if ($element['#end_date']) {
      $element['#attributes']['max'] =  $element['#end_date'];
    }
   $output = '<input '. drupal_attributes($element['#attributes']) .' >';
  
 
  return $output;
}




/**
 * Element validation for Questions field date fields.
 */
function questions_field_validate_date(&$element, &$form_state) {
 }
